# $Revision: 1.13 $, $Date: 2002/08/29 11:33:36 $
Summary:	3D tabletennis game
Summary(pl):	Trjwymiarowy tenis stoowy
Name:		csmash
Version:	0.6.4.2
Release:	3
License:	GPL
Group:		X11/Applications/Games
Source0:	http://prdownloads.sourceforge.net/cannonsmash/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-types.patch
URL:		http://CannonSmash.Sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6

%description
CannonSmash is a 3D tabletennis game. The goal of this project is to
represent various strategy of tabletennis on computer game.

%description -l pl
CannonSmash to trjwymiarowy tenis stoowy. Celem tego projektu jest
przedstawienie rnych strategii tenisa stoowego w grze komputerowej.

%prep
%setup -q -n %{name}-0.6.4
%patch0 -p1

%build
rm -f acinclude.m4 missing
aclocal
%{__autoconf}
%{__automake} -i
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Games,%{_pixmapsdir}}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Games
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README.en
%lang(ja) %doc README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/games/csmash
%{_applnkdir}/Games/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: csmash.spec,v $
Revision 1.13  2002/08/29 11:33:36  qboosh
- fixed build on 64-bit archs, new %%doc, release 3

Revision 1.12  2002/06/15 14:08:30  ankry
- %%lang(ja) fixes
- release 2

Revision 1.11  2002/05/21 23:12:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 16:07:59  arturs
fixed a small typo

Revision 1.9  2002/04/25 14:31:26  kloczek
- updated to 0.6.4.2,
- new wSource url,
- use %%find_lang macro.

Revision 1.8  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/14 13:24:33  misiek
- ignore deps for now

Revision 1.5  2001/09/20 06:06:38  kloczek
- updated to 0.6.3.

Revision 1.4  2001/08/24 05:09:38  kloczek
- updated to 0.6.2,
- added all missing BuildRequires rules,
- regenerate ac/am files (spec is ac 2.5x ready),
- compile C++ code with -fno-rtti and -fno-exceptions.

Revision 1.3  2001/05/20 11:22:18  kloczek
- updated %doc list.

Revision 1.2  2001/05/20 11:13:13  kloczek
- updated to 0.6.1,
- added Icon for desktop file.

Revision 1.1  2001/04/02 16:28:30  jajcus
3D tabletennis game
